local m=120252001
local list={120120000}
local cm=_G["c"..m]
cm.name="青眼究极龙"
function cm.initial_effect(c)
	RD.AddCodeList(c,list)
	if not c:IsStatus(STATUS_COPYING_EFFECT) then
		local mt=getmetatable(c)
		if mt.material==nil then
			mat={}
			mat[120120000]=true
			mt.material=mat
		end
		if mt.material_count==nil then
			mt.material_count={3,3}
		end
	end
	--Fusion Material
	RD.AddFusionProcedureSP(c,cm.material,cm.check,2,3)
end
--Fusion Material
function cm.material(c,fc,sub)
	return c:IsFusionCode(list[1]) or (sub and c:CheckFusionSubstitute(fc))
end
function cm.exfilter(c)
	return c:IsHasEffect(120252004)
end
function cm.check(g,tp,fc,chkf)
	return g:GetCount()==3 or g:IsExists(cm.exfilter,1,nil)
end